#ifndef XEDITFIELDDEFINITION_H
#define XEDITFIELDDEFINITION_H

#include "xasset.h"

class XEditFieldDefinition : public XAsset
{
public:
    explicit XEditFieldDefinition();
    ~XEditFieldDefinition();

    void ParseData(XDataStream* aStream) override;
    void Clear() override;

private:
    float mMinVal;
    float mMaxVal;
    float mDefVal;
    float mRange;
    int mMaxChars;
    int mMaxCharsGotoNext;
    int mMaxPaintChars;
    int mPaintOffset;
};

#endif // XEDITFIELDDEFINITION_H
